Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/InitializeApplicationExtension.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/InitializeApplicationExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/InitializeApplicationExtension.java	(revision 38564)
@@ -6,10 +6,7 @@
 import java.io.StringWriter;
 import java.util.Properties;
 
-import org.slf4j.Logger;
-import org.slf4j.LoggerFactory;
-
-import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginsLocator;
 import org.gvsig.andami.PluginsManager;
 import org.gvsig.andami.plugins.Extension;
@@ -30,6 +27,8 @@
 import org.gvsig.tools.evaluator.sqljep.SQLJEPEvaluator;
 import org.gvsig.tools.service.spi.ServiceManager;
 import org.gvsig.tools.swing.spi.ToolsSwingServiceLocator;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 public class InitializeApplicationExtension extends Extension {
     private static final Logger logger = LoggerFactory
@@ -59,7 +58,7 @@
         //CRS Definition
         dsManager.addServiceFactory(new JCRSDynFieldComponentFactory());
   
-		registerObservers();
+//		registerObservers();
 		
 		DALLocator.getResourceManager().startResourceCollector(
 				3 * (60 * 1000), // minutes --> miliseconds
@@ -69,75 +68,34 @@
 
 	}
 	
-	private void registerObservers() {
-//		FIXME
-//		ResourceManager resMan = DALLocator.getResourceManager();//.getResource(PostgresqlStore.DATASTORE_NAME);
-//		dbPasswordResorceObserver = new DBResourceManager();
-//		resMan.addObserver(dbPasswordResorceObserver);
-	}
+//	private void registerObservers() {
+////		FIXME
+////		ResourceManager resMan = DALLocator.getResourceManager();//.getResource(PostgresqlStore.DATASTORE_NAME);
+////		dbPasswordResorceObserver = new DBResourceManager();
+////		resMan.addObserver(dbPasswordResorceObserver);
+//	}
 
-	//Registro en esta extension los iconos que no se donde registrarlos.
 	private void registerIcons(){
+		IconThemeHelper.registerIcon("action", "edit-clear", this);
+		IconThemeHelper.registerIcon("action", "edit-copy", this);
+		IconThemeHelper.registerIcon("action", "edit-cut", this);
+		IconThemeHelper.registerIcon("action", "edit-delete", this);
+		IconThemeHelper.registerIcon("action", "edit-find", this);
+		IconThemeHelper.registerIcon("action", "edit-find-replace", this);
+		IconThemeHelper.registerIcon("action", "edit-paste", this);
+		IconThemeHelper.registerIcon("action", "edit-redo", this);
+		IconThemeHelper.registerIcon("action", "edit-select-all", this);
+		IconThemeHelper.registerIcon("action", "edit-undo", this);
+		IconThemeHelper.registerIcon("action", "edit-undo-redo-actions", this);
+    	IconThemeHelper.registerIcon("action", "document-print", this);
+		
+    	IconThemeHelper.registerIcon("toolbar-go", "go-next", this);
+    	IconThemeHelper.registerIcon("toolbar-go", "go-previous", this);
+    	IconThemeHelper.registerIcon("toolbar-go", "go-next-fast", this);
+    	IconThemeHelper.registerIcon("toolbar-go", "go-previous-fast", this);
+    	IconThemeHelper.registerIcon("toolbar-go", "go-first", this);
+    	IconThemeHelper.registerIcon("toolbar-go", "go-last", this);
 
-		PluginServices.getIconTheme().registerDefault(
-				"view-add-event-layer",
-				this.getClass().getClassLoader().getResource("images/addeventtheme.png")
-			);
-		PluginServices.getIconTheme().registerDefault(
-				"gvsig-logo-icon",
-				this.getClass().getClassLoader().getResource("images/icon_gvsig.png")
-			);
-
-
-
-		PluginServices.getIconTheme().registerDefault(
-				"mapa-icono",
-				this.getClass().getClassLoader().getResource("images/mapas.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"layout-insert-view",
-				this.getClass().getClassLoader().getResource("images/MapaVista.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"vista-icono",
-				this.getClass().getClassLoader().getResource("images/Vista.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"hand-icono",
-				this.getClass().getClassLoader().getResource("images/Hand.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"add-layer-icono",
-				this.getClass().getClassLoader().getResource("images/add-layer.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"delete-icono",
-				this.getClass().getClassLoader().getResource("images/delete.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"arrow-up-icono",
-				this.getClass().getClassLoader().getResource("images/up-arrow.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"arrow-down-icono",
-				this.getClass().getClassLoader().getResource("images/down-arrow.png")
-			);
-//		PluginServices.getIconTheme().register(
-//				"arrow-down-icono",
-//				PrintPropertiesPage.class.getClassLoader().getResource("images/prepare-page.png")
-//			);
-		PluginServices.getIconTheme().registerDefault(
-            "editdelete-icon",
-            this.getClass().getClassLoader().getResource("images/editdelete.png")
-        );
-
 	}
 
 	public void execute(String actionCommand) {
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/BasicSymbologyExtension.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/BasicSymbologyExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/BasicSymbologyExtension.java	(revision 38564)
@@ -133,15 +133,6 @@
 //	private SymbologyDefaultImplLibrary simbologyDefaultImplLibrary;
 
 	public void initialize() {
-//		// Simbology initialization
-//		simbologyLibrary = new SymbologyLibrary();
-//		simbologyLibrary.initialize();
-//		
-//		simbologyDefaultImplLibrary = new SymbologyDefaultImplLibrary();
-//		simbologyDefaultImplLibrary.initialize();
-		
-		// Install required features
-
 		// modules for symbol editor
 		SymbolEditor.addSymbolEditorPanel(SimpleFill.class, Geometry.TYPES.SURFACE);
 		SymbolEditor.addSymbolEditorPanel(SimpleMarker.class, Geometry.TYPES.POINT);
@@ -192,36 +183,32 @@
 		
 		SymbologySwingLocator.getSwingManager().setColorTablesFactory(
 				ApplicationLocator.getManager().getColorTablesFactory());
-		
-		
-//		simbologyLibrary.postInitialize();
-//		simbologyDefaultImplLibrary.postInitialize();
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"chain",
-				this.getClass().getClassLoader().getResource("images/chain.png")
-			);
-		PluginServices.getIconTheme().registerDefault(
-				"broken-chain",
-				this.getClass().getClassLoader().getResource("images/broken-chain.png")
-			);
-		PluginServices.getIconTheme().registerDefault(
-				"underline-icon",
-				this.getClass().getClassLoader().getResource("images/underlined.png")
-			);
-		PluginServices.getIconTheme().registerDefault(
-				"italic-icon",
-				this.getClass().getClassLoader().getResource("images/italic.png")
-			);
-		PluginServices.getIconTheme().registerDefault(
-				"bold-icon",
-				this.getClass().getClassLoader().getResource("images/bold.png")
-			);
-		PluginServices.getIconTheme().registerDefault(
-				"symbol-pref",
-				this.getClass().getClassLoader().getResource("images/QuantitiesByCategory.png"));
+//		PluginServices.getIconTheme().registerDefault(
+//				"chain",
+//				this.getClass().getClassLoader().getResource("images/chain.png")
+//			);
+//		PluginServices.getIconTheme().registerDefault(
+//				"broken-chain",
+//				this.getClass().getClassLoader().getResource("images/broken-chain.png")
+//			);
+//		PluginServices.getIconTheme().registerDefault(
+//				"underline-icon",
+//				this.getClass().getClassLoader().getResource("images/underlined.png")
+//			);
+//		PluginServices.getIconTheme().registerDefault(
+//				"italic-icon",
+//				this.getClass().getClassLoader().getResource("images/italic.png")
+//			);
+//		PluginServices.getIconTheme().registerDefault(
+//				"bold-icon",
+//				this.getClass().getClassLoader().getResource("images/bold.png")
+//			);
+//		PluginServices.getIconTheme().registerDefault(
+//				"symbol-pref",
+//				this.getClass().getClassLoader().getResource("images/QuantitiesByCategory.png"));
 
 	}
 
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewPropertiesExtension.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewPropertiesExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewPropertiesExtension.java	(revision 38564)
@@ -106,7 +106,7 @@
         DefaultViewPanel vista = (DefaultViewPanel) PluginServices.getMDIManager().getActiveWindow();
         ViewDocument model = vista.getModel();
 
-        if (s.compareTo("PROPERTIES") == 0) {
+        if (s.equalsIgnoreCase("view-properties") ) {
         	DefaultViewDocument viewModel = (DefaultViewDocument)model;
         	if (viewModel != null) {
               ViewProperties viewProperties = new ViewProperties(viewModel);
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ZoomToSelectExtension.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ZoomToSelectExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ZoomToSelectExtension.java	(revision 38564)
@@ -46,6 +46,7 @@
  */
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -137,13 +138,6 @@
 	 * @see org.gvsig.andami.plugins.IExtension#initialize()
 	 */
 	public void initialize() {
-		registerIcons();
+	   	IconThemeHelper.registerIcon("action", "view-navigation-zoom-to-selection", this);
 	}
-
-	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"view-zoom-to-seleccion",
-				this.getClass().getClassLoader().getResource("images/ZoomSeleccion.png")
-			);
-	}
 }
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/AddLayer.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/AddLayer.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/AddLayer.java	(revision 38564)
@@ -26,7 +26,7 @@
 
 import org.cresques.cts.ICoordTrans;
 import org.cresques.cts.IProjection;
-
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.app.addlayer.AddLayerDialog;
@@ -253,23 +253,6 @@
 	 * @see com.iver.andami.plugins.IExtension#initialize()
 	 */
 	public void initialize() {
-		//Listener para resolver un FileDriverNotFoundException
-//		LayerFactory.addSolveErrorForLayer(FileNotFoundDriverException.class,new FileNotFoundSolve());
-
-
-
-		//		Register.selfRegister();
-		//		org.gvsig.fmap.data.feature.file.dgn.Register.selfRegister();
-		//		org.gvsig.fmap.data.feature.file.dgn.operation.Register.selfRegister();
-		//		org.gvsig.fmap.data.feature.file.dxf.Register.selfRegister();
-		//		org.gvsig.fmap.data.feature.file.dxf.operation.Register.selfRegister();
-		//		org.gvsig.fmap.data.feature.file.shp.Register.selfRegister();
-		//		org.gvsig.fmap.data.feature.db.jdbc.postgresql.Register.selfRegister();
-		//		org.gvsig.fmap.data.feature.db.jdbc.h2.Register.selfRegister();
-		PluginServices.getIconTheme().registerDefault(
-				"layer-add",
-				this.getClass().getClassLoader().getResource("images/addlayer.png")
-			);
-
+	   	IconThemeHelper.registerIcon("action", "view-layer-add", this);
 	}
 }
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/InfoToolExtension.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/InfoToolExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/InfoToolExtension.java	(revision 38564)
@@ -46,10 +46,7 @@
  */
 package org.gvsig.app.extension;
 
-import org.slf4j.Logger;
-import org.slf4j.LoggerFactory;
-
-import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.andami.ui.mdiManager.IWindow;
 import org.gvsig.app.ApplicationLocator;
@@ -57,6 +54,8 @@
 import org.gvsig.fmap.mapcontext.MapContext;
 import org.gvsig.fmap.mapcontext.layers.FLayer;
 import org.gvsig.fmap.mapcontrol.MapControl;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 
@@ -69,19 +68,10 @@
             .getLogger(InfoToolExtension.class);
 
     public void initialize() {
-        registerIcons();
+    	IconThemeHelper.registerIcon("action", "layer-info-by-point", this);
     }
 
-    private void registerIcons(){
-        PluginServices.getIconTheme().registerDefault(
-                "view-query-information",
-                InfoToolExtension.class.getClassLoader().getResource("images/Identify.png")
-        );
-    }
-
 	public void execute(String s) {
-        logger.debug("Comand : " + s);
-
         IWindow window = ApplicationLocator.getManager().getActiveWindow();
         if( window instanceof IView ) {
             IView view = (IView) window;
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/RestoreViewInfoExtension.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/RestoreViewInfoExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/RestoreViewInfoExtension.java	(revision 38564)
@@ -65,7 +65,7 @@
 	 */
 	public void execute(String s) {
 		IWindow view = PluginServices.getMDIManager().getFocusWindow();
-        if (s.equals("RESTORE")){
+        if (s.equalsIgnoreCase("window-restore-from-tool")){
         	IWindowTransform vt=(IWindowTransform)view;
         	vt.restore();
         }
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ClearSelectionExtension.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ClearSelectionExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ClearSelectionExtension.java	(revision 38564)
@@ -46,6 +46,7 @@
  */
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -73,7 +74,7 @@
 	 * @see com.iver.mdiApp.plugins.IExtension#updateUI(java.lang.String)
 	 */
 	public void execute(String s) {
-		if (s.compareTo("DEL_SELECTION") == 0) {
+		if (s.equalsIgnoreCase("selection-clear-view") ) {
 			boolean refresh = false;
 			org.gvsig.andami.ui.mdiManager.IWindow view =PluginServices.getMDIManager().getActiveWindow();
 
@@ -186,13 +187,6 @@
 	 * @see org.gvsig.andami.plugins.IExtension#initialize()
 	 */
 	public void initialize() {
-		registerIcons();
+		IconThemeHelper.registerIcon("action", "edit-clear", this);
 	}
-
-	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"view-clear-selection",
-				this.getClass().getClassLoader().getResource("images/delselection.png")
-			);
-	}
 }
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewProjectWindow.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewProjectWindow.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewProjectWindow.java	(revision 38564)
@@ -54,7 +54,7 @@
 	 * @see com.iver.mdiApp.plugins.IExtension#updateUI(java.lang.String)
 	 */
 	public void execute(String arg0) {
-		if (arg0.equals("SHOW")) {
+		if (arg0.equalsIgnoreCase("show-project-manager")) {
 			ProjectExtension pe = (ProjectExtension) PluginServices.getExtension(org.gvsig.app.extension.ProjectExtension.class);
 			pe.showProjectWindow();
 		}
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/FiltroExtension.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/FiltroExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/FiltroExtension.java	(revision 38564)
@@ -45,6 +45,7 @@
 
 import javax.swing.JOptionPane;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -79,14 +80,9 @@
      * DOCUMENT ME!
      */
     public void initialize() {
-        registerIcons();
+    	IconThemeHelper.registerIcon("action", "layer-filter", this);
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault("table-filter",
-            this.getClass().getClassLoader().getResource("images/Filtro.png"));
-    }
-
     /**
      * DOCUMENT ME!
      * 
@@ -94,7 +90,7 @@
      *            DOCUMENT ME!
      */
     public void execute(String actionCommand) {
-        if ("FILTRO".equals(actionCommand)) {
+        if ("layer-filter".equalsIgnoreCase(actionCommand)) {
             // try {
             IWindow v = PluginServices.getMDIManager().getActiveWindow();
 
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewSelectionByTheme.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewSelectionByTheme.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewSelectionByTheme.java	(revision 38564)
@@ -128,8 +128,7 @@
 	}
 
 	public void execute(String actionCommand) {
-		logger.debug("Comand : " + actionCommand);
-		if (actionCommand.equals("SELECTIONBYSHAPE")) {
+		if (actionCommand.equalsIgnoreCase("selection-select-by-layer")) {
 			SelectionByTheme dlg = new SelectionByTheme();
 			dlg.setModel(new DefaultSelectionByThemeModel());
 			dlg.addSelectionListener(new MySelectionByThemeListener());
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewControls.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewControls.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewControls.java	(revision 38564)
@@ -46,6 +46,9 @@
  */
 package org.gvsig.app.extension;
 
+import javax.swing.JOptionPane;
+
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.andami.preferences.IPreference;
@@ -53,13 +56,12 @@
 import org.gvsig.app.gui.preferencespage.GridPage;
 import org.gvsig.app.gui.preferencespage.ViewPage;
 import org.gvsig.app.project.Project;
-import org.gvsig.app.project.documents.AbstractDocument;
 import org.gvsig.app.project.documents.view.Encuadrator;
 import org.gvsig.app.project.documents.view.ViewDocument;
+import org.gvsig.app.project.documents.view.gui.DefaultViewPanel;
 import org.gvsig.app.project.documents.view.gui.ExtentListSelectorModel;
 import org.gvsig.app.project.documents.view.gui.FPanelExtentSelector;
 import org.gvsig.app.project.documents.view.gui.FPanelLocConfig;
-import org.gvsig.app.project.documents.view.gui.DefaultViewPanel;
 import org.gvsig.app.project.documents.view.toc.gui.FPopupMenu;
 import org.gvsig.app.project.documents.view.toolListeners.snapping.Snapping;
 import org.gvsig.fmap.mapcontext.MapContext;
@@ -67,6 +69,7 @@
 import org.gvsig.fmap.mapcontext.layers.FLayers;
 import org.gvsig.fmap.mapcontrol.MapControl;
 import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.dataTypes.DataTypes;
 import org.gvsig.tools.extensionpoint.ExtensionPointManager;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
@@ -90,17 +93,21 @@
 	 * @see com.iver.mdiApp.plugins.IExtension#updateUI(java.lang.String)
 	 */
 	public void execute(String s) {
-		ViewDocument model = vista.getModel();
-		MapContext mapa = model.getMapContext();
+		execute(s,null);
+	}
+	
+	public void execute(String command, Object[] args) {
+		ViewDocument document = vista.getViewDocument();
+		MapContext mapa = document.getMapContext();
 		MapControl mapCtrl = vista.getMapControl();
-		logger.debug("Comand : " + s);
 
-		if (s.equals("FULL") ) {
+		if (command.equalsIgnoreCase("view-navigation-zoom-all") ) {
 			// mapa.beginAtomicEvent();
 			mapa.getViewPort().setEnvelope(mapa.getLayers().getFullEnvelope());
-			((AbstractDocument)vista.getModel()).setModified(true);
+			document.setModified(true);
 			// mapa.endAtomicEvent();
-		} else if (s.equals("ENCUADRE") ) {
+			
+		} else if (command.equalsIgnoreCase("view-navigation-frame-manager") ) {
 			FPanelExtentSelector l = new FPanelExtentSelector();
 
 			ProjectExtension p = (ProjectExtension) PluginServices.getExtension(org.gvsig.app.extension.ProjectExtension.class);
@@ -110,50 +117,61 @@
 			project.addPropertyChangeListener(modelo);
 			l.setModel(modelo);
 			l.addSelectionListener(new Encuadrator(project, mapa, vista));
-			((AbstractDocument)vista.getModel()).setModified(true);
+			document.setModified(true);
 			PluginServices.getMDIManager().addWindow(l);
-		} else if (s.equals("CONFIG_LOCATOR") ) {
+			
+		} else if (command.equalsIgnoreCase("view-locator-setup") ) {
 			//Set up the map overview
 			FPanelLocConfig m_panelLoc = new FPanelLocConfig(vista.getMapOverview());
 			PluginServices.getMDIManager().addWindow(m_panelLoc);
 			m_panelLoc.setPreferredSize(m_panelLoc.getSize());
-			((AbstractDocument)vista.getModel()).setModified(true);
-		} else if (s.equals("PAN") ) {
+			document.setModified(true);
+			
+		} else if (command.equalsIgnoreCase("view-navigation-pan") ) {
 			mapCtrl.setTool("pan");
-			((AbstractDocument)vista.getModel()).setModified(true);
-		} else if (s.equals("ZOOM_IN") ) {
+			document.setModified(true);
+			
+		} else if (command.equalsIgnoreCase("view-navigation-zoom-in-topoint") ) {
 			mapCtrl.setTool("zoomIn");
-			((AbstractDocument)vista.getModel()).setModified(true);
-		} else if (s.equals("ZOOM_OUT") ) {
+			document.setModified(true);
+			
+		} else if (command.equalsIgnoreCase("view-navigation-zoom-out-topoint") ) {
 			mapCtrl.setTool("zoomOut");
-			((AbstractDocument)vista.getModel()).setModified(true);
-		} else if (s.equals("CAPAS_VISIBLES") ) {
+			document.setModified(true);
+			
+		} else if (command.equalsIgnoreCase("layer-set-visible") ) {
 			setVisibles(true, mapa.getLayers());
-			((AbstractDocument)vista.getModel()).setModified(true);
-		} else if (s.equals("CAPAS_NOVISIBLES") ) {
+			document.setModified(true);
+			
+		} else if (command.equalsIgnoreCase("layer-set-hide") ) {
 			setVisibles(false, mapa.getLayers());
-			((AbstractDocument)vista.getModel()).setModified(true);
-		} else if (s.equals("CAPAS_ACTIVAS") ) {
+			document.setModified(true);
+			
+		} else if (command.equalsIgnoreCase("layer-set-active") ) {
 			setActives(true, mapa.getLayers());
-			((AbstractDocument)vista.getModel()).setModified(true);
-		} else if (s.equals("CAPAS_NOACTIVAS") ) {
+			document.setModified(true);
+			
+		} else if (command.equalsIgnoreCase("layer-set-inactive") ) {
 			setActives(false, mapa.getLayers());
-			((AbstractDocument)vista.getModel()).setModified(true);
-		} else if (s.equals("SAVERASTER") ) {
-			mapCtrl.setTool("saveRaster");
-		} else if (s.equals("SELECTIMAGE") ) {
-			mapCtrl.setTool("selectImage");
-		} else if (s.equals("ACTION_ZOOM_IN") ) {
+			document.setModified(true);
+			
+		} else if (command.equalsIgnoreCase("view-navigation-zoom-in-center") ) {
 			mapCtrl.zoomIn();
-			((AbstractDocument)vista.getModel()).setModified(true);
-		} else if (s.equals("ACTION_ZOOM_OUT") ) {
+			document.setModified(true);
+			
+		} else if (command.equalsIgnoreCase("view-navigation-zoom-out-center") ) {
 			mapCtrl.zoomOut();
-			((AbstractDocument)vista.getModel()).setModified(true);
-		} else if (s.startsWith("CHANGE_SCALE_")){
-			String scl=s.replaceAll("CHANGE_SCALE_","");
-			long scale=Long.parseLong(scl);
-			mapa.setScaleView(scale);
-			((AbstractDocument)vista.getModel()).setModified(true);
+			document.setModified(true);
+			
+		} else if (command.equalsIgnoreCase("view-change-scale")) {
+			try {
+				Long scale = (Long) ToolsLocator.getDataTypesManager().coerce(DataTypes.LONG, args[0]);
+				mapa.setScaleView(scale.longValue());
+				document.setModified(true);
+			} catch(Throwable ex) {
+				logger.info("Can't change scale of view.", ex);
+				PluginServices.getMainFrame().getStatusBar().message("Can't change scale of view.", JOptionPane.ERROR_MESSAGE);
+			}
 		}
 	}
 
@@ -205,7 +223,7 @@
 
 		if (f!=null && f instanceof DefaultViewPanel) {
 			vista = (DefaultViewPanel) f;
-			ViewDocument model = vista.getModel();
+			ViewDocument model = vista.getViewDocument();
 			MapContext mapa = model.getMapContext();
 
 			return mapa.getLayers().getLayersCount() > 0;
@@ -237,49 +255,20 @@
 	}
 
 	private void registerIcons(){
-
-		PluginServices.getIconTheme().registerDefault(
-				"view-zoom-in",
-				this.getClass().getClassLoader().getResource("images/ZoomIn.png")
-			);
-		PluginServices.getIconTheme().registerDefault(
-				"view-zoom-out",
-				this.getClass().getClassLoader().getResource("images/ZoomOut.png")
-			);
-		PluginServices.getIconTheme().registerDefault(
-				"view-zoom-map-contents",
-				this.getClass().getClassLoader().getResource("images/MapContents.png")
-			);
-		PluginServices.getIconTheme().registerDefault(
-				"view-zoom-center-in",
-				this.getClass().getClassLoader().getResource("images/zoommas.png")
-			);
-		PluginServices.getIconTheme().registerDefault(
-				"view-zoom-center-out",
-				this.getClass().getClassLoader().getResource("images/zoommenos.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"view-pan",
-				this.getClass().getClassLoader().getResource("images/Pan.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"view-zoom-manager",
-				this.getClass().getClassLoader().getResource("images/encuadre.png")
-			);
-		
-		PluginServices.getIconTheme().registerDefault(
-				"toc-layer-group",
-				this.getClass().getClassLoader().getResource("images/layerGroup.png")
-			);
+		IconThemeHelper.registerIcon("action", "view-navigation-zoom-in-topoint", this);
+		IconThemeHelper.registerIcon("action", "view-navigation-zoom-out-topoint", this);
+		IconThemeHelper.registerIcon("action", "view-navigation-zoom-all", this);
+		IconThemeHelper.registerIcon("action", "view-navigation-zoom-in-center", this);
+		IconThemeHelper.registerIcon("action", "view-navigation-zoom-out-center", this);
+		IconThemeHelper.registerIcon("action", "view-navigation-pan", this);
+		IconThemeHelper.registerIcon("action", "view-navigation-frame-manager", this);
 	}
 
 	/**
 	 * @see org.gvsig.andami.plugins.IExtension#isEnabled()
 	 */
 	public boolean isEnabled() {
-		ViewDocument model = vista.getModel();
+		ViewDocument model = vista.getViewDocument();
 		MapContext mapa = model.getMapContext();
 
 		FLayers layers = mapa.getLayers();
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/MeasureExtension.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/MeasureExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/MeasureExtension.java	(revision 38564)
@@ -42,6 +42,7 @@
 
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.app.project.documents.view.ViewDocument;
@@ -77,15 +78,8 @@
     public void initialize() {
     	registerDistanceUnits();
     	registerAreaUnits();
-    	PluginServices.getIconTheme().registerDefault(
-				"view-query-distance",
-				this.getClass().getClassLoader().getResource("images/Distancia.png")
-			);
-
-    	PluginServices.getIconTheme().registerDefault(
-				"view-query-area",
-				this.getClass().getClassLoader().getResource("images/Poligono16.png")
-			);
+    	IconThemeHelper.registerIcon("action", "view-query-distance", this);
+    	IconThemeHelper.registerIcon("action", "view-query-area", this);
     }
 
     /* (non-Javadoc)
